{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
    {% if not app.user %}
        <form method="post">
            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
            <label for="username">Username</label>
            <input type="text" value="{{ last_username }}" name="_username" id="username" class="form-control" autocomplete="username" required autofocus>
            <label for="password">Password</label>
            <input type="password" name="_password" id="password" class="form-control" autocomplete="current-password" required>

            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
            
            <button class="btn btn-lg btn-primary" type="submit">
                Sign in
            </button>
        </form>

        <a href="{{ path('app_register') }}">Register</a>
    {% else %}
        <div class="mb-3">
            You are logged in as {{ app.user.userIdentifier }},
            <a href="{{ path('app_logout') }}">Logout</a>
        </div>
        
        {% if 'ROLE_ADMIN' in app.user.roles %}
            <h2>Admin Panel</h2>
            <ul>
                <li><a href={{ path('app_voiture_index')}}>Gestion données Voiture</a></li>
                <li><a href={{ path('app_borne_index')}}>Gestion données Borne</a></li>
                <li><a href={{ path('app_user_index')}}>Gestion données User</a></li>	
            </ul>
        {% endif %}
    {% endif %}
{% endblock %}
